Bug 71682 - HostbasedAuthentication should be yes in ssh_config
HostbasedAuthentication should be yes in ssh_config
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-08-16 13:09 EDT by Jim Radford
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-04 05:05:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jim Radford 2002-08-16 13:09:00 EDT
Description of problem:
The default value for ssh2 HostbasedAuthentication in ssh_config should be yes.
 It is currently yes for RhostsRSAAuthentication which is the equivalent setting
for ssh1.

This variable does not enable HostbasedAuthentication in the server but it just
has the client try HostbasedAuthentication whenever it is enabled in the server.

At the very least, the variable should be commented in the default ssh_config as
being set to no.  The asymmetry is confusing!

How reproducible: Always

Steps to Reproduce:
BTW, to get HostbasedAuthentication (ssh2) working you need a world readable
/etc/ssh/ssh_known_hosts2 file and the above variable set in both ssh_config and
Comment 1 Tomas Mraz 2005-02-04 05:05:35 EST
The commented out option is there now.

Note You need to log in before you can comment on or make changes to this bug.